MAPLE(4)

NAME
maple - Maple bus driver

SYNOPSIS
maple0 at shb?

DESCRIPTION
The maple driver provides support for controlling the Maple bus (controller ports).

IOCTLS
The following ioctl(2) calls apply to Maple bus devices.

MAPLEIO_GDEVINFO struct maple_devinfo
    Read, from the kernel, the device information of the device.

        struct maple_devinfo {
        	uint32_t di_func;
        	uint32_t di_function_data[3];
        	uint8_t di_area_code;
        	uint8_t di_connector_direction;
        	char di_product_name[30];
        	char di_product_license[60];
        	uint16_t di_standby_power;
        	uint16_t di_max_power;
        };

FILES
/dev/maplePs
    Maple bus device at port P (A-D), subunit s (null for base device, 1-5 for expansion device)

SEE ALSO
mkbd(4), mlcd(4), mmem(4), mms(4)

HISTORY
The maple device driver appeared in NetBSD 1.6.